org.apache.fop.fonts.autodetect

## Class MacFontDirFinder

- java.lang.Object
- - org.apache.fop.fonts.autodetect.NativeFontDirFinder
  - - org.apache.fop.fonts.autodetect.MacFontDirFinder

- All Implemented Interfaces:
    FontDirFinder

      public class MacFontDirFinder
      extends NativeFontDirFinder

  Mac font directory finder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacFontDirFinder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String[]` | `getSearchableDirectories()` Some guesses at possible unix font directory locations

    - ### Methods inherited from class org.apache.fop.fonts.autodetect.NativeFontDirFinder

      `find`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacFontDirFinder

          public MacFontDirFinder()

  - ### Method Detail

    - #### getSearchableDirectories

          protected java.lang.String[] getSearchableDirectories()

      Some guesses at possible unix font directory locations
      Specified by:
        `getSearchableDirectories` in class `NativeFontDirFinder`
      Returns:
        a array of possible font directory locations

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.